> ## Documentation Index
> Fetch the complete documentation index at: https://failfast.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an income record



## OpenAPI

````yaml /api-reference/openapi.json get /treasury/income/{id}/
openapi: 3.0.3
info:
  title: Fail Fast API
  version: v1
  description: >-
    REST API for the Fail Fast platform. Authenticate with a workspace API key
    sent as a bearer token. Every response uses the `{message, error, data}`
    envelope.
servers:
  - url: https://api.failfast.ai
security: []
paths:
  /treasury/income/{id}/:
    get:
      tags:
        - Treasury
      summary: Get an income record
      operationId: treasury_income_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this income.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - error
                  - data
                properties:
                  message:
                    type: string
                    description: Human-readable outcome of the request.
                  error:
                    type: boolean
                    description: true when the request failed.
                    example: false
                  data:
                    $ref: '#/components/schemas/Income'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    Income:
      type: object
      description: |-
        A ModelSerializer that takes an additional `fields` argument that
        controls which fields should be displayed.
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        custom_fields:
          nullable: true
        operation_number:
          type: integer
          maximum: 2147483647
          minimum: 0
          default: 0
        operation_date:
          type: string
          format: date-time
        description:
          type: string
          nullable: true
        operation_status:
          $ref: '#/components/schemas/OperationStatusEnum'
        status_description:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        audit_status:
          allOf:
            - $ref: '#/components/schemas/AuditStatusEnum'
          readOnly: true
        type:
          $ref: '#/components/schemas/IncomeTypeEnum'
        total_value:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,6})?$
        is_bank_destination:
          type: boolean
        deposit_reference:
          type: string
          nullable: true
        deposit_date:
          type: string
          format: date
          nullable: true
        is_directly_created:
          type: boolean
        member:
          type: string
          format: uuid
          readOnly: true
        operation:
          type: string
          format: uuid
        market_exchange_rate:
          type: string
          format: uuid
          nullable: true
        branch_office:
          type: string
          format: uuid
        created_by:
          type: string
          format: uuid
          readOnly: true
        updated_by:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        deleted_by:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        stakeholder:
          type: string
          format: uuid
        customer_detail:
          type: string
          format: uuid
          nullable: true
        cost_center:
          type: string
          format: uuid
        category:
          type: string
          format: uuid
          nullable: true
        bank_account:
          type: string
          format: uuid
          nullable: true
        cash_register:
          type: string
          format: uuid
          nullable: true
      required:
        - audit_status
        - branch_office
        - cost_center
        - created_at
        - created_by
        - deleted_at
        - deleted_by
        - id
        - member
        - operation
        - operation_date
        - stakeholder
        - total_value
        - type
        - updated_at
        - updated_by
    OperationStatusEnum:
      enum:
        - PR
        - CO
        - ER
      type: string
      description: |-
        * `PR` - Provisional
        * `CO` - Complete
        * `ER` - Error
    AuditStatusEnum:
      enum:
        - C
        - U
        - D
      type: string
      description: |-
        * `C` - Created
        * `U` - Updated
        * `D` - Deleted
    IncomeTypeEnum:
      enum:
        - INV
        - ADV
        - OTH
        - REF
        - LCP
        - CHK
      type: string
      description: |-
        * `INV` - Invoice
        * `ADV` - Advance
        * `OTH` - Other
        * `REF` - Refund
        * `LCP` - Loan CxP
        * `CHK` - Postdated Check
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        Workspace API key sent as a bearer token: `Authorization: Bearer
        failfast_...`. Create keys in Settings -> Workspace -> API Keys.

````